<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{F0A0C525-03FD-428A-9B17-7F54AA0E4475}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BusinessFacade</RootNamespace>
    <AssemblyName>07BusinessFacade</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\dll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MQTTnet">
      <HintPath>..\..\dll\MQTTnet.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet.Extensions.ManagedClient">
      <HintPath>..\..\dll\MQTTnet.Extensions.ManagedClient.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="05Biz\MES\EngineIDCode.cs" />
    <Compile Include="05Biz\MES\Materials.cs" />
    <Compile Include="05Biz\MES\OpName.MainForm.Launch.cs" />
    <Compile Include="05Biz\MES\RepairWorkStation.cs" />
    <Compile Include="05Biz\MES\ShowLED.cs" />
    <Compile Include="05Biz\OPC\BaseDataSystemMES.OPC.Alarm.cs" />
    <Compile Include="05Biz\OPC\BaseDataSystemMES.OPC.cs" />
    <Compile Include="05Biz\OPC\BaseDataSystemMES.OPC.QualityData.cs" />
    <Compile Include="05Biz\OPC\BaseDataSystemMES.OPC.QualityData.GoodBad.cs" />
    <Compile Include="05Biz\QualityData\DataVerify.cs" />
    <Compile Include="05Biz\QualityData\GetQualityData_GoodBad.cs" />
    <Compile Include="Db2023\Order.cs" />
    <Compile Include="MES.B5A.Factory\Factory.cs" />
    <Compile Include="MES.B5A.MainForm\EngineIDCode.cs" />
    <Compile Include="MES.B5A.MainForm\OpName.MainForm.cs" />
    <Compile Include="MES.B5A.MainForm\OpName.MainForm.Launch.cs" />
    <Compile Include="MES.B5A.MainForm\OpName.MainForm.Material.cs" />
    <Compile Include="MES.B5A.MainForm\UserManage.cs" />
    <Compile Include="MES.B5A.MainForm\UserNamePassword.cs" />
    <Compile Include="MES.B5A.Manager\EngineType.cs" />
    <Compile Include="MES.B5A.Manager\IsMES.cs" />
    <Compile Include="MES.B5A.Manager\OpName.Material.cs" />
    <Compile Include="MES.B5A.Manager\OpName.Proccess.cs" />
    <Compile Include="MES.B5A.Manager\OpName.Shaft.cs" />
    <Compile Include="MES.B5A.QualityData\QualityData.B5A.cs" />
    <Compile Include="MES.B5A.QualityData\QualityData.B5A.Pack.cs" />
    <Compile Include="MES.B5A.QualityData\QualityData.B5A.Save.cs" />
    <Compile Include="MES.B5A.ShaftPosition\OpNameCount.cs" />
    <Compile Include="MES.B5A.ShaftPosition\OpNameRepair.cs" />
    <Compile Include="MES.B5A.ShaftPosition\ShaftPosition.cs" />
    <Compile Include="MES.B5A.ShaftPosition\ShaftPositionData.cs" />
    <Compile Include="MES.Biz.TraceTable\MES.Biz.TraceTable.Cap.cs" />
    <Compile Include="MES.Biz.TraceTable\MES.Biz.TraceTable.cs" />
    <Compile Include="MES.Biz.TraceTable\MES.Biz.TraceTable.Cylinder.cs" />
    <Compile Include="MES.Biz.TraceTable\MES.Biz.TraceTable.ToOpName.cs" />
    <Compile Include="MES.Data.GetData\GetOpNameOrderForm.cs" />
    <Compile Include="MES.Data.GetData\MES.Biz.TraceTable.GetData.cs" />
    <Compile Include="MES.Data.GetData\OpNameGuid.cs" />
    <Compile Include="MES.Data.SaveData\MES.Biz.Material.SaveData.cs" />
    <Compile Include="MES.Data.SaveData\MES.Biz.TraceTable.SaveData.cs" />
    <Compile Include="MES.HL\MesFunctions.cs" />
    <Compile Include="MES.Material\Materials.cs" />
    <Compile Include="MES\BaseDataSystemMES.AssemblyPartTrace.cs" />
    <Compile Include="MES\BaseDataSystemMES.AssemblyPartTrace.Repair.cs" />
    <Compile Include="MES\BaseDataSystemMES.CartTrace.cs" />
    <Compile Include="MES\BaseDataSystemMES.cs" />
    <Compile Include="MES\BaseDataSystemMES.FalseOverGo.cs" />
    <Compile Include="MES\BaseDataSystemMES.FirstOpName.cs" />
    <Compile Include="MES\BaseDataSystemMES.KeyPart.KeyPartAssemblyTempTable.cs" />
    <Compile Include="MES\BaseDataSystemMES.Load.cs" />
    <Compile Include="MES\BaseDataSystemMES.Login.cs" />
    <Compile Include="MES\BaseDataSystemMES.MaterialList.cs" />
    <Compile Include="MES\BaseDataSystemMES.MaterialVerifyManagement.cs" />
    <Compile Include="MES\BaseDataSystemMES.MesOverGo.cs" />
    <Compile Include="MES\BaseDataSystemMES.MesServer.cs" />
    <Compile Include="MES\BaseDataSystemMES.MOBY.cs" />
    <Compile Include="MES\BaseDataSystemMES.ProduceCount.cs" />
    <Compile Include="MES\BaseDataSystemMES.SubLineOpName.cs" />
    <Compile Include="MES\BaseDataSystemMES.WorkSheet.cs" />
    <Compile Include="MES\MaterialData.cs" />
    <Compile Include="MES\MES.Biz.Config.cs" />
    <Compile Include="MES\MES.Biz.MaterialList.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SyPartLoad\EngineIDCode.cs" />
    <Compile Include="Web.New\MES1.cs" />
    <Compile Include="Web\ando_load.cs" />
    <Compile Include="Web\ando_load_2.cs" />
    <Compile Include="Web\ando_machine.cs" />
    <Compile Include="Web\ando_machine_2.cs" />
    <Compile Include="Web\ando_matertial.cs" />
    <Compile Include="Web\ando_matertial_2.cs" />
    <Compile Include="Web\ando_quality.cs" />
    <Compile Include="Web\ando_quality_2.cs" />
    <Compile Include="Web\Buttons.cs" />
    <Compile Include="Web\Login.cs" />
    <Compile Include="Web\MES.cs" />
    <Compile Include="Web\MES.Functions.cs" />
    <Compile Include="Web\MES.MaterialPull.cs" />
    <Compile Include="Web\MES_Loading.cs" />
    <Compile Include="Web\MES_MachineManage.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\00MesWorkMqtt\MesWorkMqtt\00MesWorkMqtt.csproj">
      <Project>{f55da1a0-a982-4479-8c47-0d9a5aaf3e18}</Project>
      <Name>00MesWorkMqtt</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\01DoWhatPlc\01_01DoWhatPlc.csproj">
      <Project>{0d1af432-439a-4920-8692-43ae139f5530}</Project>
      <Name>01_01DoWhatPlc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\04DataBaseAccess\DataBaseAccess\04-DataBaseAccess.csproj">
      <Project>{f434e066-4c59-47c8-aa82-6f48cc84501a}</Project>
      <Name>04-DataBaseAccess</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>